Package com.google.android.exoplayer2.upstream

## Class FileDataSource.Factory

- java.lang.Object
- - com.google.android.exoplayer2.upstream.FileDataSource.Factory

- All Implemented Interfaces:
    `DataSource.Factory`
  Enclosing class:
    FileDataSource

      public static final class FileDataSource.Factory
      extends Object
      implements DataSource.Factory

  `DataSource.Factory` for `FileDataSource` instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileDataSource` | `createDataSource()` | Creates a `DataSource` instance.
    `FileDataSource.Factory` | `setListener​(TransferListener listener)` | Sets a `TransferListener` for `FileDataSource` instances created by this factory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### setListener

          public FileDataSource.Factory setListener​(@Nullable
                                                    TransferListener listener)

      Sets a `TransferListener` for `FileDataSource` instances created by this factory.
      Parameters:
        `listener` - The `TransferListener`.
      Returns:
        This factory.

    - #### createDataSource

          public FileDataSource createDataSource()

      Description copied from interface: `DataSource.Factory`
      Creates a `DataSource` instance.
      Specified by:
        `createDataSource` in interface `DataSource.Factory`